unit shape;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ColorGrd, ExtCtrls;

type
  TForm1 = class(TForm)
    Shape1: TShape;
    GroupBox1: TGroupBox;
    ColorGrid1: TColorGrid;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    procedure ColorGrid1Change(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ColorGrid1Change(Sender: TObject);
begin
  Shape1.Brush.Color:=ColorGrid1.ForeGroundColor;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  shape1.shape:=stCircle;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  shape1.shape:=stEllipse;
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  shape1.shape:=stRectangle;
end;

end.
